FROM mcr.microsoft.com/dotnet/aspnet:8.0  AS base
WORKDIR /app
EXPOSE 8080
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:8.0  AS build
WORKDIR /src
COPY ["MTWorkHR.API/MTWorkHR.API.csproj", "MTWorkHR.API/"]
COPY ["MTWorkHR.Application/MTWorkHR.Application.csproj", "MTWorkHR.Application/"]
COPY ["MTWorkHR.Core/MTWorkHR.Core.csproj", "MTWorkHR.Core/"]
COPY ["MTWorkHR.Identity/MTWorkHR.Identity.csproj", "MTWorkHR.Identity/"]
COPY ["MTWorkHR.Infrastructure/MTWorkHR.Infrastructure.csproj", "MTWorkHR.Infrastructure/"]
RUN dotnet restore "MTWorkHR.API/MTWorkHR.API.csproj"
COPY . .
WORKDIR "/src//MTWorkHR.API"
RUN dotnet build "MTWorkHR.API.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "MTWorkHR.API.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "MTWorkHR.API.dll"]

